libzypp: zypp::target::rpm::librpmDb::D Class Reference

libzypp 17.38.6

zypp::target::rpm::librpmDb::D Class Reference

librpmDb internal database handle More...

## Public Member Functions
| D (Pathname root_r, Pathname dbPath_r, bool readonly_r)

## Public Attributes
const Pathname | _root
const Pathname | _dbPath
AutoDispose< rpmts > | _ts

## Private Member Functions
| D (const D &)=delete
D & | operator= (const D &)=delete
| D (D &&)=delete
D & | operator= (D &&)=delete

## Static Private Member Functions
static void | macroSetDbpath (const Pathname &dppath_r)
static void | macroResetDbpath ()

## Friends
std::ostream & | operator<< (std::ostream &str, const D &obj)

## Detailed Description

librpmDb internal database handle

Definition at line 92 of file librpmDb.cc.

## Constructor & Destructor Documentation

## ◆ D() [1/3]

zypp::target::rpm::librpmDb::D::D | ( | const D & |  | ) |
| privatedelete

## ◆ D() [2/3]

zypp::target::rpm::librpmDb::D::D | ( | D && |  | ) |
| privatedelete

## ◆ D() [3/3]

zypp::target::rpm::librpmDb::D::D | ( | Pathname | root_r,
|  | Pathname | dbPath_r,
|  | bool | readonly_r )
| inline

Definition at line 107 of file librpmDb.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

D & zypp::target::rpm::librpmDb::D::operator= | ( | const D & |  | ) |
| privatedelete

## ◆ operator=() [2/2]

D & zypp::target::rpm::librpmDb::D::operator= | ( | D && |  | ) |
| privatedelete

## ◆ macroSetDbpath()

void zypp::target::rpm::librpmDb::D::macroSetDbpath | ( | const Pathname & | dppath_r | ) |
| inlinestaticprivate

Definition at line 130 of file librpmDb.cc.

## ◆ macroResetDbpath()

void zypp::target::rpm::librpmDb::D::macroResetDbpath | ( |  | ) |
| inlinestaticprivate

Definition at line 133 of file librpmDb.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const D & | obj )
| friend

Definition at line 104 of file librpmDb.cc.

## Member Data Documentation

## ◆ _root

const Pathname zypp::target::rpm::librpmDb::D::_root

Definition at line 100 of file librpmDb.cc.

## ◆ _dbPath

const Pathname zypp::target::rpm::librpmDb::D::_dbPath

Definition at line 101 of file librpmDb.cc.

## ◆ _ts

AutoDispose<rpmts> zypp::target::rpm::librpmDb::D::_ts

Definition at line 102 of file librpmDb.cc.

The documentation for this class was generated from the following file:

- zypp/target/rpm/librpmDb.cc